Last Comment Bug 408525 - AMO doesn't allow search engines to be placed into categories
: AMO doesn't allow search engines to be placed into categories
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Admin/Editor Tools (show other bugs)
: 3.0
: All All
: -- normal
: 3.2
Assigned To: Justin Scott [:fligtar]
:
Mentors:
Depends on:
Blocks: 372852
  Show dependency treegraph
 
Reported: 2007-12-15 21:59 PST by Basil Hashem [:baz]
Modified: 2016-02-04 14:47 PST (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (6.01 KB, patch)
2008-01-13 18:01 PST, Justin Scott [:fligtar]
wclouser: review-
Details | Diff | Review
patch, v2 (8.43 KB, patch)
2008-01-17 12:45 PST, Justin Scott [:fligtar]
wclouser: review+
Details | Diff | Review

Description Basil Hashem [:baz] 2007-12-15 21:59:53 PST
I've created search engines categories as specified in bug 396741. Unfortunately, the addon edit admin UI complains that you can't put search engines into categories.
Comment 1 Justin Scott [:fligtar] 2008-01-13 18:01:10 PST
Created attachment 296886 [details] [diff] [review]
patch

This patch adds an "All" option for the applications field of categories. If tags.application_id is NULL, it will be available to every add-on in that add-on type. It also fixes a display issue that's been around awhile with clear: both in the admin pages.

This is mainly a temporary fix until the hopeful Dev CP revamp when selecting categories will be way better.

This SQL will need to be run:

ALTER TABLE `tags` CHANGE `application_id` `application_id` INT( 11 ) UNSIGNED default NULL;
UPDATE tags SET application_id=NULL WHERE addontype_id=4;
Comment 2 Wil Clouser [:clouserw] 2008-01-16 12:50:01 PST
Comment on attachment 296886 [details] [diff] [review]
patch

The patch is good but we need additional code.  If you set a category to "all" and then browse the categories for the extension the category no longer shows up (AddonsController::_browseCategories()).  Also, if I try to submit a new search engine, on step 2 of the submission it says "No categories available for this add-on type."
Comment 3 Justin Scott [:fligtar] 2008-01-17 12:45:46 PST
Created attachment 297598 [details] [diff] [review]
patch, v2

Fixes above issues.
Comment 4 Justin Scott [:fligtar] 2008-01-22 12:34:08 PST
Checked in. The SQL in comment 1 will need to be run when this is pushed.
Comment 5 Justin Scott [:fligtar] 2008-02-14 16:34:41 PST
This is live.

Note You need to log in before you can comment on or make changes to this bug.